POST Product Creation Event Notification
POST /notification/productCreateEvent
Security: clientIdEnforcement.
Client listener for receiving the notification ProductCreateEvent. This endpoint handles notifications when new customers are created in the system.
Request body
Media type: application/json. Schema: array of object.
Array of object.
entityId(string)
Example:02iLT0000002lE9YAI.entityName(string)
Example:Asset.eventId(string)
Example:0001ade9-3f74-0b99-dbc4-42e73424b774-1.commitTimestamp(number)
Example:1739268701178.commitNumber(number)
Example:123.correlationId(string)
Example:0001ade9-3f74-0b99-dbc4-42e73424b77.changeEventType(string)
Example:Create.enrichedFields(object)vlocity_cmt__AssetReferenceId__c(string)
Example:dc7ce308-b3e8-4c98-8c94-236f562ff093.
changedFields(object)
Example
[
{
"entityId": "02iLT0000002lE9YAI",
"entityName": "Asset",
"eventId": "000003bf-04e1-f3b7-e4bd-a9437b775e58_1",
"commitTimestamp": 1750169966000,
"commitNumber": 1750169968435404800,
"correlationId": "000003bf-04e1-f3b7-e4bd-a9437b775e58",
"changedFields": {
"vlocity_cmt__ProvisioningStatus__c": "Active"
},
"changeEventType": "Create",
"enrichedFields": {
"vlocity_cmt__AssetReferenceId__c": "dc7ce308-b3e8-4c98-8c94-236f562ff093"
}
}
]
Responses
- 207
Agreement creation event successfully processed.
Media type:
application/json. Schema:array of object.Array of
object.entityId(string)
Example:02iLT0000002lE9YAI.message(string)
Example:Event Posted Successfully.
Example
[ { "entityId": "02iLT0000002lE9YAI", "message": "Event Posted Successfully" } ] - 400
Bad request
Media type:
application/json. Schema:any.Type:
any.Example
{ "@type": "Error", "@baseType": "string", "@schemaLocation": "string", "code": "400", "reason": "string", "message": "Bad Request", "status": "string", "referenceError": "string" } - 401
Unauthorized
Media type:
application/json. Schema:any.Type:
any.Example
{ "@type": "Error", "@baseType": "string", "@schemaLocation": "string", "code": "401", "reason": "string", "message": "Unauthorized", "status": "string", "referenceError": "string" } - 403
Forbidden
Media type:
application/json. Schema:any.Type:
any.Example
{ "@type": "Error", "@baseType": "string", "@schemaLocation": "string", "code": "403", "reason": "string", "message": "Forbidden", "status": "string", "referenceError": "string" } - 404
Resource not found
Media type:
application/json. Schema:any.Type:
any.Example
{ "@type": "Error", "@baseType": "string", "@schemaLocation": "string", "code": "404", "reason": "string", "message": "Not Found", "status": "string", "referenceError": "string" } - 405
Method not allowed
Media type:
application/json. Schema:any.Type:
any.Example
{ "@type": "Error", "@baseType": "string", "@schemaLocation": "string", "code": "405", "reason": "string", "message": "Method Not Allowed", "status": "string", "referenceError": "string" } - 500
Internal server error
Media type:
application/json. Schema:any.Type:
any.Example
{ "@type": "Error", "@baseType": "string", "@schemaLocation": "string", "code": "500", "reason": "string", "message": "Internal Server Error", "status": "string", "referenceError": "string" } - 501
Not Implemented
Media type:
application/json. Schema:any.Type:
any.Example
{ "@type": "Error", "@baseType": "string", "@schemaLocation": "string", "code": "501", "reason": "string", "message": "Not Implemented", "status": "string", "referenceError": "string" } - 503
Service Unavailable
Headers:
x-ratelimit-remaining(integer, required) The number of requests left for the time window.
Example:0.x-ratelimit-limit(integer, required) The maximum number of requests that the consumer is permitted to make.
Example:10.x-ratelimit-reset(integer, required) The remaining time, in milliseconds, until a new window starts
Example:5000.
Media type:
application/json. Schema:any.Type:
any.Example
{ "@type": "Error", "@baseType": "string", "@schemaLocation": "string", "code": "503", "reason": "string", "message": "Service Unavailable", "status": "string", "referenceError": "string" } - 429
The request was not accepted because the application has exceeded the rate limit.
Headers:
x-ratelimit-remaining(integer, required) The amount of available quota
Example:0.x-ratelimit-limit(integer, required) The maximum available requests per window
Example:10.x-ratelimit-reset(integer, required) The remaining time, in milliseconds, until a new window starts
Example:5000.